SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE SCHEMA IF NOT EXISTS `ejemplo_prototipo` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci ;
USE `ejemplo_prototipo`;

-- -----------------------------------------------------
-- Table `ejemplo_prototipo`.`Prototipo`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `ejemplo_prototipo`.`Prototipo` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `nombre_grupo` VARCHAR(64) NOT NULL ,
  `nombre_integrante1` VARCHAR(64) NOT NULL ,
  `nombre_integrante2` VARCHAR(64) NULL ,
  `nombre_empresa` VARCHAR(64) NULL ,
  `nombre_proceso` VARCHAR(64) NULL ,
  `nota_final` INT NULL ,
  `probador` INT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ejemplo_prototipo`.`probadores`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `ejemplo_prototipo`.`probadores` (
  `rut` INT NOT NULL ,
  `nombre` VARCHAR(64) NULL ,
  PRIMARY KEY (`rut`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ejemplo_prototipo`.`Evaluaciones`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `ejemplo_prototipo`.`Evaluaciones` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `nombre_item` VARCHAR(64) NULL ,
  `nota_item` INT NULL ,
  `ponderacion` INT NULL ,
  `Prototipo_id` INT NULL ,
  PRIMARY KEY (`id`) ,
  INDEX fk_Evaluaciones_Prototipo (`Prototipo_id` ASC) ,
  CONSTRAINT `fk_Evaluaciones_Prototipo`
    FOREIGN KEY (`Prototipo_id` )
    REFERENCES `ejemplo_prototipo`.`Prototipo` (`id` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
